# 59. Dotaz: Získat "AsAppliedDatasets"

Získejte všechna "AsAppliedDatasets" pro vybrané "Field". Datové sady lze načíst pomocí obecných GraphQL dotazů jako `getFarms` a `getFields` z připojeného "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" musí být nahrán předem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    název
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  ziskejPozemky (filtr: {uuidPozemku: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/59.-dotaz-ziskat-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
